Write config changes to disk
POST
/api/v1/service-config/persist
const url = 'https://osctrl.net/api/v1/service-config/persist';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"service":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://osctrl.net/api/v1/service-config/persist \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "service": "example" }'Persists DB-edited config sections back to the service’s YAML file.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Request body
Media typeapplication/json
object
service
string
Examplegenerated
{ "service": "example"}Responses
Section titled “Responses”Written
Media typeapplication/json
object
command
object
action
string
command_id
string
consumed_at
string
consumed_by
string
created_at
string
expires_at
string
recovered_at
string
recovered_by
string
requested_by
string
requested_from
string
status
string
target_service
string
message
string
service
string
Examplegenerated
{ "command": { "action": "example", "command_id": "example", "consumed_at": "example", "consumed_by": "example", "created_at": "example", "expires_at": "example", "recovered_at": "example", "recovered_by": "example", "requested_by": "example", "requested_from": "example", "status": "example", "target_service": "example" }, "message": "example", "service": "example"}Write queued
Media typeapplication/json
object
command
object
action
string
command_id
string
consumed_at
string
consumed_by
string
created_at
string
expires_at
string
recovered_at
string
recovered_by
string
requested_by
string
requested_from
string
status
string
target_service
string
message
string
service
string
Examplegenerated
{ "command": { "action": "example", "command_id": "example", "consumed_at": "example", "consumed_by": "example", "created_at": "example", "expires_at": "example", "recovered_at": "example", "recovered_by": "example", "requested_by": "example", "requested_from": "example", "status": "example", "target_service": "example" }, "message": "example", "service": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Config file not writable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}